#include <stdio.h>
#include "va108xx.h"

#define PORTA_10_D2 10 
#define PORTA_7_D3   7
#define PORTA_6_D4   6

int main(void)
{
  volatile int tmp = 1000; 
  /* Enable clock for all peripherals */ 
	VOR_SYSCONFIG->PERIPHERAL_CLK_ENABLE = ( CLK_ENABLE_PORTA | CLK_ENABLE_PORTB | CLK_ENABLE_SPIA | CLK_ENABLE_SPIB | CLK_ENABLE_SPIC |
																					 CLK_ENABLE_UARTA | CLK_ENABLE_UARTB | CLK_ENABLE_I2CA | CLK_ENABLE_I2CB | CLK_ENABLE_IRQSEL |
																					 CLK_ENABLE_IOMGR | CLK_ENABLE_UTILITY | CLK_ENABLE_PORTIO | CLK_ENABLE_SYSTEM ); 
  
  /* Configure PA[10]. This GPIO will continously blink led D2. */ 	
	VOR_GPIO->BANK[0].DIR |= (1 << PORTA_7_D3); 
	VOR_GPIO->BANK[0].DATAMASK |= (1 << PORTA_7_D3);
	VOR_GPIO->BANK[0].DATAOUT &= ~(1 << PORTA_7_D3); 
  
  while(tmp--) {}
  
  return 0; 
}

                         